<f:layout name="Default"/>

<f:section name="content">
    <div class="tx-drk-supply-search-tag-cloud">
        <f:if condition="{error} == 0">
            <f:then>
                <f:for each="{tagList}" as="tag" iteration="iteration">
                    <f:link.action action="showOfferResult" controller="SupplyFinderResult" arguments="{zip: tag, offerId: settings.preselection}" pageUid="{settings.view_resultpid}">{offerTypDescription} {settings.tagClue} {tag}</f:link.action>
                    <f:if condition="!{iteration.isLast}">{settings.tagDivider}</f:if>
                </f:for>
            </f:then>
            <f:else>
                <div class="min-content-width">
                <p>
                    <f:for as="error_value" each="{errorMessages}" key="error_key">
                        <strong>{error_key}:</strong> {error_value}
                    </f:for>
                </p>
                </div>
            </f:else>
        </f:if>
    </div>
</f:section>
